Add a user to a team

posthttps://api.expiryedge.com/v1/addTeamMember
editor or admin60/minJede Methode
Anfrage
curl -X POST 'https://api.expiryedge.com/v1/addTeamMember' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "teamId": "tm_3Fh8qLx",
  "userId": "u_71bXq"
}'
Antwort
{
  "message": "User added to team successfully"
}

The user must be in your organization. Any role in the body is ignored (membership role is always member).

Body-Parameter

application/json
  • teamIdstringerforderlich
  • userIdstringerforderlich

Rückgabe

201
Member added.
  • messagestringerforderlich

Fehler

400
Missing ids, user already a member, or user in another organization.
401
Missing, expired or invalid bearer token.
403
Authenticated, but your role or organization does not allow this action.
404
The record does not exist or is not in your organization.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.
500
Unexpected server error. Retry later; quote requestId to support.